Chess Now! IconChess Now
API ReferenceDevice auth

Get token by device auth

POST
/api/device/token

Exchanges the device token and returns the access token once the user has authorized the device.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/device/token" \  -H "Content-Type: application/json" \  -d '{    "deviceCode": "string"  }'
{  "success": true,  "data": {    "accessToken": "eyJhbGci...",    "tokenType": "Bearer",    "expiresIn": 604799,    "scope": [      "account",      "challenges"    ]  }}